Bug 1504555 - Wrong deps, opencv-python3 pulls python2-numpy
Summary: Wrong deps, opencv-python3 pulls python2-numpy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: opencv
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Nicolas Chauvet (kwizart)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-10-20 08:17 UTC by Akira TAGOH
Modified: 2017-11-14 01:59 UTC (History)
8 users (show)

Fixed In Version: opencv-3.2.0-13.fc27 opencv-3.2.0-13.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-11-11 03:08:23 UTC
Type: Bug


Attachments (Terms of Use)

Description Akira TAGOH 2017-10-20 08:17:12 UTC
Description of problem:
Summary says it all:
Dependencies resolved.
==========================================================================================================
 Package                     Arch                Version                       Repository            Size
==========================================================================================================
Installing:
 opencv-python3              x86_64              3.2.0-12.fc26                 updates              611 k
Installing dependencies:
 python2-nose                noarch              1.3.7-13.fc26                 fedora               266 k
 python2-numpy               x86_64              1:1.12.1-1.fc26               fedora               3.4 M

Transaction Summary
==========================================================================================================
Install  3 Packages

Total download size: 4.3 M
Installed size: 20 M
Is this ok [y/N]: 


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.dnf install opencv-python3
2.
3.

Actual results:
see the above

Expected results:
should pulls python3-numpy

Additional info:
$ rpm -q --requires opencv-python3 | grep numpy
numpy
$ rpm -q --provides python3-numpy
python3-numpy = 1:1.12.1-1.fc26
python3-numpy(x86-64) = 1:1.12.1-1.fc26
python3.6dist(numpy) = 1.12.1
python3dist(numpy) = 1.12.1
$ rpm -q --provides python2-numpy
numpy = 1:1.12.1-1.fc26
numpy(x86-64) = 1:1.12.1-1.fc26
python-numpy = 1:1.12.1-1.fc26
python-numpy(x86-64) = 1:1.12.1-1.fc26
python2-numpy = 1:1.12.1-1.fc26
python2-numpy(x86-64) = 1:1.12.1-1.fc26
python2.7dist(numpy) = 1.12.1
python2dist(numpy) = 1.12.1

Comment 1 Sergio Basto 2017-10-28 01:35:22 UTC
building now [1] , thanks for the report 

[1]
https://koji.fedoraproject.org/koji/packageinfo?packageID=2692

Comment 2 Fedora Update System 2017-10-28 02:53:53 UTC
opencv-3.2.0-13.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-d318a65d73

Comment 3 Fedora Update System 2017-10-28 12:34:05 UTC
opencv-3.2.0-13.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5a7aa96fee

Comment 4 Fedora Update System 2017-10-30 14:45:43 UTC
opencv-3.2.0-13.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-d318a65d73

Comment 5 Fedora Update System 2017-11-11 03:08:23 UTC
opencv-3.2.0-13.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2017-11-14 01:59:20 UTC
opencv-3.2.0-13.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.